--   This file is part of Reno desktop.
--
--  Reno desktop is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
--
--  Reno desktop is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License along with Reno desktop. If not, see <https://www.gnu.org/licenses/>. 
-- Simple global context menu controls
local beautiful = require("beautiful")
local menugen = require("context_menu")

return function(args)
    local widget = menugen({
        items = {
            {"Awesome", {
                {"open config dir", "xdg-open "..root_path},
                {"open docs", "xdg-open https://awesomewm.org/doc/api/"},
                {"restart", function() awesome.restart() end},
                {"quit", function() awesome.quit() end}
            }, beautiful.awesome_icon},
            {"open terminal", global.terminal},
        },
        parent = args.menu_parent
    })
    return widget
end
